using System;
using System.Collections;
using Server;
using Server.Network;

namespace Server.Items
{
	public class AdminBoots : Boots
	{
		[Constructable]
		public AdminBoots()
		{
			Name = "magic boots";
		}

		public override bool OnEquip( Mobile from )
		{
			from.Send(SpeedControl.MountSpeed);
			return base.OnEquip(from);
		}

		public override void OnRemoved( object parent )
		{
			if ( parent is Mobile )
			{
				Mobile from = (Mobile)parent;
				from.Send(SpeedControl.Disable);
			}
			base.OnRemoved(parent);
		}

		public AdminBoots( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}